--- title: "Using coupon" slug: "game-gamepot-storeusercoupon" tags: ["GAMEPOT"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/game-gamepot-storeusercoupon" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Using coupon You can use general coupons and keyword coupons. ## Requested ``` PUT https://dashboard-api.gamepot.ntruss.com/v1/api/project/{projectId}/store/{storeID}/user/{userID}/coupon/{couponNumber}?userData={userData} ``` | Item | Type | Requirement Status | Description | Remarks | | --- | --- | --- | --- | --- | | projectId | String | O | GAMEPOT SDK's projectId | | | storeID | String | O | Store ID (Google, ONE, Apple, Galaxy) | | | userID | String | O | GAMEPOT SDK's user UID | | | couponNumber | String | O | Coupon number issued in the dashboard | | | userData | String | X | Additional information to be entered in the userData field among webhook API parameters | | ### Request header | Header name | Requirement Status | Description | | --- | --- | --- | | x-api-key | O | Authentication key issued by GAMEPOT | | accept-language | X | Language in use | ## Response | Field name | Type | Description | | --- | --- | --- | | status | Int | Result value (1: success) | | message | String | Result content | ## Examples ### Request examples ``` curl --request PUT \ --url https://dashboard-api.gamepot.ntruss.com/v1/api/project/12a0f2ff-xxxx-xxxx-xxxx-9c13ef02f5fs/store/google/user/h43ea8e8-xxxx-xxxx-xxxx-531a46d25eef/coupon/xxxxxx \ --header 'accept-language: ko' \ --header 'x-api-key: 86dcgffae064174543xxxx02a8801ce5a547xxxxxxxxxxxxxx' ``` ### Response examples ``` { "status": 1, "message": "success" } ``` ## Error Code These are the common error codes that occur in response to GAMEPOT Open API requests. | Parameter | Description | | --- | --- | | status | Errors (1: success, see the error code in case of failures) | | message | Error description | | Error Code | Description | | --- | --- | | -1 | When a key that doesn't exist in the dashboard has been used | | -2 | When the dashboard's key and the header's key are different | | -3 | When a key deleted from the dashboard has been used | | -4 | When a key processed as "not used" on the dashboard has been used | | -5 | When a key has expired | | -6 | When the project ID doesn't exist | | -100 | If an error occurs in processing | ``` { "status": -6, "message": "projectId was wrong." } ```